## ros-kinetic-modelica-bridge 0.1.1

=== CMakeLists.txt ===
# ModROS - the relay connection between Modelica and ROS
cmake_minimum_required(VERSION 2.8.3)
project(modelica_bridge)
add_compile_options(-std=c++11)

set(CATKIN_DEPS joy roscpp std_msgs)
find_package(catkin REQUIRED COMPONENTS message_generation ${CATKIN_DEPS})
include_directories(${catkin_INCLUDE_DIRS})

add_message_files(FILES ModComm.msg)
generate_messages()

catkin_package(CATKIN_DEPENDS message_runtime ${CATKIN_DEPS})

add_executable(modbridge_node src/modbridge_node.cpp)
target_link_libraries(modbridge_node ${catkin_LIBRARIES})
add_dependencies(modbridge_node ${modelica_bridge_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

install(TARGETS modbridge_node
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-kinetic-modelica-bridge (0.1.1-0xenial) xenial; urgency=high

  * Edited package description
  * Updated documentation
  * Edited README.md
  * Edited documentation for modelica_bridge
  * Edited <depend> tags in package.xml
  * Added install target for modbridge node
  * Edited documentation for modelica_bridge

 -- Shashank Swaminathan <sh.swami235@gmail.com>  Mon, 02 Jul 2018 05:00:00 -0000

ros-kinetic-modelica-bridge (0.1.0-0xenial) xenial; urgency=high

  * Added link to online documentation of modelica_bridge
  * Fixed CHANGELOG.rst
  * Added Doxygen documentation generated by rosdoc_lite

 -- Shashank Swaminathan <sh.swami235@gmail.com>  Sat, 30 Jun 2018 05:00:00 -0000

ros-kinetic-modelica-bridge (0.0.0-0xenial) xenial; urgency=high

  * First commit of full modelica_bridge
  * Initial commit
  * Contributors: Shashank Swaminathan

 -- Shashank Swaminathan <sh.swami235@gmail.com>  Sat, 30 Jun 2018 05:00:00 -0000

=== debian/control ===
Source: ros-kinetic-modelica-bridge
Section: misc
Priority: extra
Maintainer: Shashank Swaminathan <sh.swami235@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-joy, ros-kinetic-message-generation, ros-kinetic-roscpp, ros-kinetic-rospy, ros-kinetic-std-msgs
Homepage: https://wiki.ros.org/modelica_bridge
Standards-Version: 3.9.2

Package: ros-kinetic-modelica-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-joy, ros-kinetic-message-runtime, ros-kinetic-roscpp, ros-kinetic-rospy, ros-kinetic-std-msgs
Description: ROS package for bridging ROS with Modelica tools via TCP/IP sockets.
 Meant for use along with the ROS_Bridge Modelica package, made by the same developer.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-modelica-bridge//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
